[needs-packaging] Songbird

Reported by Tiago Sousa on 2007-03-21
268
This bug affects 41 people
Affects Status Importance Assigned to Milestone
Songbird
Invalid
Undecided
Unassigned
Nominated for Trunk by e3lco
Ubuntu Studio
Undecided
Unassigned
Debian
Invalid
Undecided
Unassigned
Ubuntu
Wishlist
Unassigned
Declined for Intrepid by Iain Lane
Declined for Jaunty by Iain Lane

Bug Description

From Songbird Homepage:
"Songbird is an open-source customizable music player that's under active development.

We're working on creating a non-proprietary, cross platform, extensible tool that will help enable new ways to playback, manage, and discover music. There are lots of ways to contribute your time to the project. We'd love your help!

There are several features we're proud of, but we'll be the first to admit that others need ironing out, are experimental, or are just plain missing. There's still a lot to do."

URL: http://www.getsongbird.com/
License: GPLv2
Source: http://publicsvn.songbirdnest.com/

Why does this say in progress?
We are at gutsy now and there still is no songbird package!

David Futcher (bobbo) wrote :

Had a go at packaging it. I know it wont be up to MOTU standards but its a starting block.

Latest (29 September 2007) release 0.2.5 i386 package. Should hopefully give you a working Songbird installation.

Daniel Holbach (dholbach) wrote :

We need the source package (.diff.gz, .dsc, .orig.tar.gz).

Daniel Holbach (dholbach) wrote :

Due to a policy change (https://lists.ubuntu.com/archives/ubuntu-motu/2007-November/002684.html) I set the status to 'Triaged'. Set it back to 'In Progress' once you have a source package up for review.

Jorge O. Castro (jorge) wrote :
stevel (steve-grommit) wrote :

(I'm the developer advocate @ Songbird, feel free to ping me with any issues)

I'm working on the trademark/branding guideline/policy at the moment. I'll update this bug when I have some results.

Fabien Tassin (fta) wrote :

I've looked at the xul patches shipped in songbird sources, some are IMHO problematic in a shared xulrunner SDK like we have in Ubuntu.

- bugCrashReporterStrings.patch: it hardcodes 'Songbird' as Vendor for CrashReporter (yet we don't build with crashreporter by default in ubuntu so it's minor for us)

- bugFaviconExpiration.patch: this changes an API. It's not a frozen one but I don't know the impact it could have on the other apps we have using xulrunner 1.9. Why isn't this patch posted in (Mozilla) BugZilla ?

- bug-songbird-4080-forms-styling.patch: it imports a songbird CSS unconditionally in a file heavily used by all Mozilla apps (especially ff, sm but also tb), meaning it will trigger an error when songbird is not installed.

- bug-toolkit-mousethrough.patch: not sure. It seems it changes a default behavior. Is it wanted in the shared SDK?

- bugTreeSelection.patch: Why isn't this patch posted in BugZilla ?

stevel (steve-grommit) wrote :

Fabien - some of the XULRunner patches aren't being accepted upstream because Mozilla isn't accepting any patches that aren't blocking the release of Firefox 3.

Fabien Tassin (fta) wrote :

I know how Mozilla work. I just asked for those patches to be posted so they receive a feedback there.
It's probably possible to land some of them, provided they get a good review but it's sure too late for 1.9 as none is blocking firefox.

As for Ubuntu, we could land some of those patches but not all, at least not in this form.

Brett Alton (brett-alton) wrote :

Maybe Songbird 0.5 in Intrepid?

What needs to be done for this to be packaged? I wish I knew how to make .debs...

Fabien Tassin (fta) wrote :

I have packaged a recent snapshot (0.6pre) for Intrepid (and Hardy but it's not meant to be shipped there). It is now working pretty well.
So far, I'm bundling a patched xulrunner and taglib but this could be addressed during the Intrepid cycle.

I'm still waiting for the trademark/branding guideline/policy to be resolved.

Alexander Sack (asac) wrote :

OK, requirements for songbird getting into ubuntu:

 1. build and use system xulrunner
    -> note it doesn't have to work perfect; as long as it builds and is usable to some degree it should be ok; patches that are initially missing can be sorted later
 2. trademark/license issues: songbird should come up with a general exception that delegates the quality assurance to ubuntu; we have our own QA and that should be enough. Additional reviews of patches are fine, as long as dispute about them doesn't lead to revocation of distribution rights. If we are not 100% confident, we can also start to distribute this using white-labelled marks. However, i'd say songbird developers that care for the quality should rather contribute during development cycle so that the package we distribute is in line with their quality expectations by the end of the cycle. Preferably a songbird dev would join the mozillateam as a liasion. To get this started join #ubuntu-mozillateam on irc.freenode.net permanently.

stevel (steve-grommit) wrote :

We're still working on the trademark/branding guideline/policy. Sorry it's taking so long, but... well... lawyers. :(
Sign me up for the mozillateam liasion. And I'll update this when I have more info on the branding guideline.

stevel (steve-grommit) wrote :

BTW - I'd pinged Jorge Castro to find out roughly what was involved in the agreement between MoCo & Ubuntu re: distribution rights, so I can have an idea of what Ubuntu needs from Songbird, but I'm still awaiting that. If anyone else happens to know, please feel free to inform me (either here, or stevel at songbirdnest dot com). That would help speed things up considerably if I could get that to our lawyers.

Jorge O. Castro (jorge) wrote :

I'll be bringing this up for discussion in Prague at the next Ubuntu Developer Summit in a few days. I will update this bug as soon as I get more information, so currently this is blocking on me. :)

stevel (steve-grommit) wrote :

Awesome, thanks Jorge.

Fabian A. Scherschel (fabsh) wrote :

If I can help with anything, ping me. I'd love to see this in Intrepid.

stevel (steve-grommit) wrote :

Fabian - will do... thanks, Jorge sent me the writeup - I think the ball is in our (Songbird's) court now, I'll definitely ping you guys if I have follow-up questions/clarifications.

Niels Egberts (nielsegberts) wrote :

Is there any development going on with this bug? I would love to see Songbird in the next Ubuntu release. If there is any testing needed on Intrepid, you can send me an email.

Fabien Tassin (fta) wrote :

There's a preview package sitting in my PPA for a while now. See https://launchpad.net/~fta/+archive
It's fully usable, at least based on the code publicly available (hence, features living in extras/* are not included).

The thing is now, we need to work on the packaging to address the requirements mentioned above before it could enter the official repository.
I don't have much time right now but it is definitely in my TODO list.

My (packaging) branch is there: https://code.launchpad.net/~mozillateam/songbird/songbird.head

Please package Songbird into a .deb file and get it included in the official Ubuntu repository.

Changed in songbird:
status: Unknown → Confirmed
Manosdoc (manosdoc) wrote :

Is there any progress with 0.7 version of songbird ? thx

stevel (steve-grommit) wrote :

@Manosdoc: Some progress has been made, but the system-wide XULRunner is still a blocker that we're working on. In the meantime, there is a Songbird 0.7 .deb at getdeb.net:
http://www.getdeb.net/app/Songbird

Moving to main Songbird product from Feature Suggestions.

Fabien Tassin (fta) wrote :

I've updated my PPA to the latest trunk (so it's now 0.8pre). I had to tweak many things to track upstream changes since 0.6, see https://code.launchpad.net/~mozillateam/songbird/songbird.head for details.

I see no real progress regarding the issues reported before.

Fabien Tassin (fta) wrote :

BTW, there's a "SOFTWARE LICENSE AGREEMENT" popup on startup. The recent Firefox EULA issue makes me think this not be well received..

stevel (steve-grommit) wrote :

@Fabien: We've got some patches awaiting review in BMO for upstreaming, but most of our patches to XULRunner aren't going to get upstreamed anytime soon without some cleanup, effort, and shepherding. I don't foresee us being able to use a clean Mozilla-supplied XULRunner anytime in the immediate future.

What's Ubuntu's policy on the SLA? Currently our SLA covers a few things:
* The licenses (tri-license) that Songbird is under
* The proprietary licenses that the closed-source add-ons (downloaded during first-run) are covered under
* Indemnity & Liability
* The bundled third party-developed open source packages (e.g. taglib, etc.) and their licenses

Probably some of these aren't necessary applicable to Ubuntu (such as the bundled third-party developed open source licenses and the proprietary licenses if Ubuntu desires to not have those prompted for download)...

I suppose we could try and do something for Ubuntu like what you guys did with Mozilla in moving the SLA to the browser notification hat. We'd have to hammer this out sometime after our 1.0 release next month.

Jorge O. Castro (jorge) wrote :

stevel,

We're in your neck of the woods for FOSSCamp/UDS next week, can we have a quick session on this and get the ball rolling?

stevel (steve-grommit) wrote :

Jorge - yup, I'm coming to FOSSCamp on Friday & Saturday (12/5 & 12/6). If you want, I can drop by UDS as well - or we can meet at FOSSCamp. (Not sure if folks from the mozilla-team will be at FOSSCamp?)

Definitely looking forward to talking.

stevel (steve-grommit) wrote :

I'll be coming down Wednesday, Dec. 10th w/ preed (our buildmeister) and a stack of t-shirts.

Fabien Tassin (fta) wrote :

Un-assigning myself. It's no longer my call.
Pushing milestone from jaunty alpha2 to alpha4.

My concerned regarding upstream (system xulrunner) are still un-addressed so my package ships a patched xulrunner.
I consider it acceptable, considering system xulrunner is unlikely to happen in a realistic time frame and the app brings value to a lot of users.

Fabien Tassin (fta) wrote :

I see the Debian bug is moving. They want to cooperate, which is excellent news.
Would be nice to know what they plan to do to address this system xul issue.

stevel (steve-grommit) wrote :

asac: Has there been any progress on talking with the archive maintainers as to whether or not they'd accept a package with a private XULRunner? Anything I can help with at the moment?

komputes (komputes) wrote :

+1 Request for Songbird to be included in Jaunty (or at least available through repositories)

Available in fta/ppa/ubuntu

komputes <email address hidden> wrote:

>+1 Request for Songbird to be included in Jaunty (or at least available
>through repositories)
>
>--
>[needs-packaging] Songbird
>https://bugs.launchpad.net/bugs/94494
>You received this bug notification because you are a member of Mozilla
>Team, which is the registrant for Songbird.

John Vivirito (gnomefreak) wrote :

On 02/04/2009 05:24 PM, Daniel T Chen wrote:
> Available in fta/ppa/ubuntu
>
> komputes <email address hidden> wrote:
>
>> +1 Request for Songbird to be included in Jaunty (or at least available
>> through repositories)
>>
>> --
>> [needs-packaging] Songbird
>> https://bugs.launchpad.net/bugs/94494
>> You received this bug notification because you are a member of Mozilla
>> Team, which is the registrant for Songbird.
>
Releasing this to Ubuntu repos is not a great idea since there are
issues upstream that would be showstoppers for our release

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Micah Gersten (micahg) wrote :

I just found there's a package on getdeb.net for Songbird:
http://www.getdeb.net/app/Songbird

Hopefully, this can go into 9.10...

Christopher Griffiths (chris) wrote :

Micah, thanks for the contribution however Stevel has already commented upon the getdeb repositories. It's good to see your contribution to bugjam though :).

John Vivirito (gnomefreak) wrote :

On 02/22/2009 10:13 PM, Christopher Swift wrote:
> Micah, thanks for the contribution however Stevel has already commented
> upon the getdeb repositories. It's good to see your contribution to
> bugjam though :).
>
As i recall upstream has alot of work to do on this before we can add it
to repos. But if you ask in #ubuntu-mozillateam we can better assist
you. I was not the one working on it fta was.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Russell Phillips (ignissport) wrote :

(XULrunner bugs aside) If there are licensing issues, is there anything stopping this from being added to the medibuntu repository? Even if it's just a mirror of what's on getdeb.

I don't think the problem is so much the 'one-click install' that some users expect. It's the security implications of installing software that's exempt from automatic updates through apt.

John Vivirito (gnomefreak) wrote :

On 04/06/2009 11:22 PM, Russell Phillips wrote:
> (XULrunner bugs aside) If there are licensing issues, is there anything
> stopping this from being added to the medibuntu repository? Even if it's
> just a mirror of what's on getdeb.
>
> I don't think the problem is so much the 'one-click install' that some
> users expect. It's the security implications of installing software
> that's exempt from automatic updates through apt.
>
As i understand it upstream songbird has stbility flaws and lack of
upstream maintaining the app. You really should check with fta on IRC in
#ubuntu-mozillateam for more info.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

stevel (steve-grommit) wrote :

Russell Philips wrote:
> I don't think the problem is so much the 'one-click install' that some users expect. It's the security implications of installing software that's exempt from automatic updates through apt.

Doesn't Firefox/Thunderbird have this same issue? I don't think (fta or someone else on ubuntu-mozillateam can correct me if I'm wrong) automatic-updating is an issue... the issue is Ubuntu's (justified) desire for Songbird to use system-wide installed libraries (GStreamer, XULRunner, etc.) instead of private copies (like Songbird currently uses). Continued use of private copies in Songbird puts an unfair maintenance burden on the ubuntu-mozillateam guys who have to backport security fixes to multiple codebases, etc.

John Vivirito wrote:
> As i understand it upstream songbird has stbility flaws and lack of upstream maintaining the app. You really should check with fta on IRC in #ubuntu-mozillateam for more info.

I think that's a bit of an unfair characterisation.

While criticisms of stability might be fair (I'd like to point out that a ton of work in the past 3 releases have gone into 'crasher' bugs), we can only fix the crasher bugs we know about (e.g. blanket statements of "stability flaws" aren't useful; crash reports and bugs filed are).

The claim of lack of upstream maintenance, as far as I can tell is completely unfounded. We've taken many patches to our own code, upstreamed all of our GStreamer patches, upstreamed many of our XULRunner patches (not all have been accepted upstream), and consistently put out new releases every 3-4 months. While Songbird, undoubtedly, has many flaws.... I think this is not one of them.

John Vivirito (gnomefreak) wrote :

On 04/07/2009 02:47 PM, stevel wrote:
> Russell Philips wrote:
>> I don't think the problem is so much the 'one-click install' that some users expect. It's the security implications of installing software that's exempt from automatic updates through apt.
>
> Doesn't Firefox/Thunderbird have this same issue? I don't think (fta or
> someone else on ubuntu-mozillateam can correct me if I'm wrong)
> automatic-updating is an issue... the issue is Ubuntu's (justified)
> desire for Songbird to use system-wide installed libraries (GStreamer,
> XULRunner, etc.) instead of private copies (like Songbird currently
> uses). Continued use of private copies in Songbird puts an unfair
> maintenance burden on the ubuntu-mozillateam guys who have to backport
> security fixes to multiple codebases, etc.
>
> John Vivirito wrote:
>> As i understand it upstream songbird has stbility flaws and lack of upstream maintaining the app. You really should check with fta on IRC in #ubuntu-mozillateam for more info.
>
> I think that's a bit of an unfair characterisation.
>
> While criticisms of stability might be fair (I'd like to point out that
> a ton of work in the past 3 releases have gone into 'crasher' bugs), we
> can only fix the crasher bugs we know about (e.g. blanket statements of
> "stability flaws" aren't useful; crash reports and bugs filed are).
>
> The claim of lack of upstream maintenance, as far as I can tell is
> completely unfounded. We've taken many patches to our own code,
> upstreamed all of our GStreamer patches, upstreamed many of our
> XULRunner patches (not all have been accepted upstream), and
> consistently put out new releases every 3-4 months. While Songbird,
> undoubtedly, has many flaws.... I think this is not one of them.
>
I have not been updated on this since my post containing lack of
upstream and i got that from fta on IRC, as for stability issues
updating for gstrreamer ect.. does nothing to improve stability. This
had a problem with xulrunner (don't recall exactly ) if you are
packaging it or plan to it would be nice to look at code changes in past
few releases if you have changelog and patches from upstream and Debian
dir. changes. My comments above this when it was requested for Jaunty at
that time stand now as for KK not sure what the plan is but IIRC fta has
no intentions to push it officially but you would have to check with him
since its his package.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Matt Walker (matthaeus123) wrote :

So once all patches are added upstream to the mozilla tree, it should be all good to accept to the ubuntu repos?

John Vivirito (gnomefreak) wrote :

On 04/09/2009 11:40 AM, matthaeus123 wrote:
> So once all patches are added upstream to the mozilla tree, it should be
> all good to accept to the ubuntu repos?
>
It needs to be tested once it is in good shape upstream.
If everything goes well maybe we should push for KK but that means
~4months the latest. No not the latest but we should shoot for that
being the latest since FF will be around than, I'm thinking this
shouldn't be a FFe if we can avoid it. When i get a spare few minutes i
will talk to fta to find out what he thinks.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Fabien Tassin (fta) wrote :

I don't see this bug moving at all, and I'm not expecting a fix anytime soon :(

So in the meantime, as I'm still interested by this project, I've created a dedicated PPA with daily builds of Songbird:
https://edge.launchpad.net/~songbird-daily/+archive/ppa

Fabien Tassin (fta) on 2009-06-19
Changed in ubuntu:
milestone: jaunty-alpha-4 → none
Matt Walker (matthaeus123) wrote :

I still don't understand why the mozilla guys haven't accepted all of the songbird patches yet. I guess they have bigger fish to fry.

description: updated
description: updated
tarundsk (tarundsk) on 2009-11-10
Changed in ubuntu:
assignee: nobody → tarundsk (tarundsk)
Micah Gersten (micahg) wrote :

Moving this back to Triaged as I think we are waiting for upstream at this point.

@tarundsk
Please don't assign yourself a bug unless you are actively working on it.

Changed in ubuntu:
status: In Progress → Triaged
assignee: tarundsk (tarundsk) → nobody
John Moser (nigelenki) wrote :

Definitely want this.

So, um, just to check if I got it right (I'm new to Ubuntu): Songbird is not included in the repositories because the project doesn't supply other projects with bug fixes?

This bug won't be fixed. Songbird just dropped Linux support.

Are you sure it's not an april fools joke?

Danté (dante-ashton) wrote :

Well, Songbird's Linux port was...well...backwards, in comparison to the other versions.

It's sad, I know, and I'm swearing bloody murder here.

But hey, it's their product, the only real use I found out of Songbird was the abilty to organize my music collection...and even THAT was a little screwy.

To be frank, if it IS an April Fool's joke, then I'd love to know why it was posted on the 2nd of April.

I suggest someone dig deeper and close this bug.

1) It was on April 2

2) The linux version has ALWAYS been behind. The last four or so versions wouldn't even start up (though that could have been easily remedied by removing their stupid custom gstreamer packages)

3) POTI is probably the company that I would trust the most to free up the resources that they think are holding back. They've done it a few times aready (the ipod extension comes to mind)

This is for real.

Micah Gersten (micahg) wrote :

While upstream will not be releasing any binaries for Linux, the source code will continue to be available and continue to support Linux per a discussion with one of the Songbird devs. I think we'll leave this bug open.

There is a fork called "nightingale".

www.getnightingale.org

This should probably be what will be packaged if anything.

John Vivirito (gnomefreak) wrote :

On 04/14/2010 11:04 AM, Chauncellor wrote:
> There is a fork called "nightingale".
>
> www.getnightingale.org
>
> This should probably be what will be packaged if anything.
>
I agree since Songbird no longer supports Linux.
--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Pander (pander) wrote :

Before http://getnightingale.org/ is offering build, perhaps releasing some updated versions of Songbird in Debian and Ubuntu might be in place. See http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds and http://www.getdeb.net/app/Songbird

Micah Gersten (micahg) wrote :

We still intended to package Songbird for Ubuntu. The daily builds
should hopefully resume shortly.

On 06/19/2010 03:31 AM, Pander wrote:
> Before http://getnightingale.org/ is offering build, perhaps
> releasing some updated versions of Songbird in Debian and Ubuntu
> might be in place. See
> http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds
>
>
and http://www.getdeb.net/app/Songbird
>

Micheal Harker (mh0) wrote :

I can package... Lets go for it!

Changed in ubuntu:
assignee: nobody → MichealH (michealh)
status: Triaged → In Progress
Micah Gersten (micahg) wrote :

@michealh
This is still waiting on certain fixes upstream.

Changed in ubuntu:
assignee: MichealH (michealh) → nobody
status: In Progress → Triaged
Changed in songbird:
importance: Unknown → Wishlist
Scott Lavender (slavender) wrote :

Upstream has stopped support Linux. Marking as "won't fix" for Ubuntu Studio.

Changed in ubuntustudio:
status: New → Won't Fix
Pander (pander) on 2011-03-16
tags: added: upgrade-software-version
Pander (pander) wrote :

How are those upstream fixes you are waiting for coming along?

Can the PPA builing here
  https://launchpad.net/~songbird-daily/+archive/ppa
be continued with support for Maverick and Natty?

I'm still using Songbird 1.8.0-1~getdeb1 on Ubuntu Maverick. Because http://getnightingale.com/ doesn't have a release yet, I would like to keep on using Songbird even though I'm stuck with a certain version.

It perferms very well and I don't want to loose the data in the database by switching to another player now. I will eventually migrate the data to Nightingale. Hence please continue packaging for Ubuntu.

Pander (pander) wrote :

Here is another PPA that could facilitate packge build:
  https://launchpad.net/songbird
since the one mentioned in my prvious comment vanished.

Source code for Ubuntu build of Songbird 1.9.3 can be found here:
  http://wiki.songbirdnest.com/Developer/Articles/Builds/Contributed_Builds#Linux

Discussion can be found here:
  http://www.omgubuntu.co.uk/2011/02/songbird-hits-version-1-9-3-linux-build-available/
and here:
  http://www.webcoz.com/how-to-install-songbird-1-9-3-in-ubuntu/

Pander (pander) on 2011-09-25
tags: added: oneiric
Micah Gersten (micahg) on 2011-10-17
tags: removed: oneiric upgrade-software-version
Pander (pander) wrote :

Micah, I can imagine that the oneiric tag is removed but which version of Ubuntu will be the target for a release? Also the upgrade-software-version tag can remain, not?

Micah Gersten (micahg) wrote :

I'm not sure this will happen now that Mozilla has moved to rapid release. We don't have the resources to be updating Songbird every 6 weeks and since xulrunner is no longer in the archive, we'd have to do just that. The upgrade-software-version tag is meant for software that's already in the archive that needs a newer version.

Nerd_bloke (nerd-bloke) wrote :

Two things, there is rolling one year support on the ESR versions from Mozilla:
http://blog.mozilla.com/blog/2012/01/10/delivering-a-mozilla-firefox-extended-support-release/

After the current preview release Nightingale might be a better project to package:
http://getnightingale.com/

Pander (pander) wrote :

Yearly update is enough for me too, or twice per year, each time a new version of Ubuntu is being released. That is much more then what is currently happening and a big enough improvement.

Nightingale was dying but suddenly sprung back to life. Both Nightingale and Songbird use XUL. If Ubuntu packages both, it justifies packaging xulrunner even more and opens the door to more XUL software. Roughly the same knowledge is needed to package Songbird and Nightingale. Songbird is already released as deb-src. Nightingale not yet (to my knowledge).

Pander (pander) on 2012-07-12
tags: added: 12.10
Pander (pander) on 2012-11-01
tags: added: media music music-player
Changed in ubuntu:
assignee: nobody → Andrew Schmidt (andrew-schmidt-a)
Pander (pander) wrote :

Currently I have on 12.04 installed:
  songbird 2.0.0-1~getdeb1 Songbird is a desktop Web player, a digital jukebox and Web browser mash-up
but this also installs
  ia32-libs 20090808ubuntu36 ia32 shared libraries - transitional package
  ia32-libs-multiarch:i386 20090808ubuntu36 Multi-arch versions of former ia32-libraries

Can someone please make a PPA with a 64-bit build of Songbird on 12.04 so I can rid of these ia32 libs on my x86_64 hardware?

Pander (pander) on 2012-11-14
tags: added: 64-bit
Pander (pander) wrote :

Finally Nightingale is available, please vote for packaging of Nightingale via https://bugs.launchpad.net/ubuntu/+bug/1190146 At the moment install it via the PPA mentioned in that package.

Adolfo Jayme (fitoschido) wrote :

Songbird went bankrupt: http://blog.songbirdnest.com/you-gotta-know-when-to-fold-em/

Bug for Nightingale is LP: #1190146.

Changed in ubuntu:
status: Triaged → Won't Fix
assignee: Andrew Schmidt (andrew-schmidt-a) → nobody
Changed in debian:
importance: Unknown → Undecided
status: New → Invalid
Changed in songbird:
importance: Wishlist → Undecided
status: Confirmed → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.